require('colors')
const webpack = require('webpack')
const BuildConf = require('./webpack-conf/build')
const demoConf = require('./webpack-conf/demo')
const rimraf = require('rimraf')
const utils = require('./common/utils')
const path = require('path')
const fs = require('fs-extra')
const makeNpmJson = require('./common/npm-packagejson')
const coconfig = require('./common/co-config')

const buildDemo = require('./demo.js')

const isSingle = coconfig.setting.single

const name = utils.inputName()
if (!name) return

const projPaths = require('./common/project-paths')(name)

const srcPath = projPaths.src
const distPath = projPaths.dist
const demoPath = projPaths.demoDist

if (!fs.existsSync(srcPath)) {
    console.log(`找不到路径 ${srcPath}`.red)
    return
}

if (!fs.existsSync(projPaths.jsonSrc)) {
    console.log(`找不到组件配置文件 component.json`.red)
    return
}

coconfig.save({
    name
})

rimraf(demoPath, {}, () => {})
rimraf(distPath, {}, () => {})
webpack(BuildConf(name), function(err, stats) {
    console.log(stats)
    if (!err) {
        console.log(`成功构建项目 ${name}!`.green)
        fs.copySync(projPaths.typesSrc, projPaths.typesDist)
        fs.copyFileSync(projPaths.readmeSrc, projPaths.readmeDist)
        makeNpmJson(projPaths)
        webpack(demoConf(name), function(err, stats) {
            if (!err) {
                console.log(`成功构建Demo ${name}!`.green)
                buildDemo.bulidReadme(name, isSingle)
            } else {
                throw err
            }
        })
    } else {
        throw err
    }
})
