const resolve = require('path').resolve
const coconfig = require('../common/co-config')
const root = process.cwd()
let isSingle = coconfig.setting.single

module.exports = function(name, iss) {
    if (typeof iss !== 'undefined') {
        isSingle = iss
    }

    const demoDist = resolve(root, 'demo', isSingle ? 'dist' : name) //单组件没有构建demo列表功能
    const demoSrc = resolve(root, isSingle ? '' : `src/${name}`, 'demo')
    const dist = resolve(root, 'dist', isSingle ? '' : name)
    const src = resolve(root, 'src', isSingle ? '' : name)
    const test = resolve(root, isSingle ? '' : `src/${name}`, 'test')
    const typesSrc = resolve(root, isSingle ? '' : `src/${name}`, 'types')
    const typesDist = resolve(dist, 'types')

    return {
        root,
        demoDist,
        demoSrc,
        dist,
        src,
        test,
        typesSrc,
        typesDist,
        jsonSrc: isSingle
            ? resolve(root, 'package.json')
            : resolve(src, 'component.json'),
        jsonDist: resolve(dist, 'package.json'),
        readmeSrc: isSingle
            ? resolve(root, 'README.md')
            : resolve(src, 'README.md'),
        readmeDist: resolve(dist, 'README.md'),
        indexJs: resolve(src, 'index.js'),
        indexVue: resolve(src, 'index.vue')
    }
}
