require('colors')
const marked = require('marked')
const path = require('path')
// const fs = require('fs-extra')
const fs = require('fs')
const basePath = process.cwd()

module.exports = {
    bulidReadme(componentName, isSingle) {
        const projPaths = require('./common/project-paths')(componentName)

        const srcPath = projPaths.src
        const distPath = projPaths.dist
        const demoPath = projPaths.demoDist

        const indexHtml = fs.readFileSync(
            path.join(demoPath, 'index.html'),
            'utf8'
        ) // 读取index.html内容
        const readme = marked(fs.readFileSync(projPaths.readmeSrc, 'utf8')) // 将README.md转为html
        // fs.outputFileSync(path.join(demoPath, 'index.html'), indexHtml.replace('</html>', (readme + '</html>')))
        fs.writeFile(
            path.join(demoPath, 'index.html'),
            indexHtml.replace('</html>', readme + '</html>'),
            (err) => {
                if (err) throw err
                console.log('readme转换成功!'.green)
                if (!isSingle) {
                    this.buildDemoList(componentName, isSingle)
                }
            }
        )
    },
    buildDemoList(componentName, isSingle) {
        const demoPath = path.join(
            basePath,
            './demo',
            isSingle ? '' : componentName
        )
        const demoArr = fs.readdirSync(demoPath)
        const demoList = fs.readdirSync(demoPath).filter((file) => {
            return (
                fs.lstatSync(path.join(demoPath, file)).isDirectory() &&
                fs.existsSync(path.join(demoPath, file, 'index.html'))
            )
        })
        let replaceHtml = ''
        demoList.forEach((file) => {
            replaceHtml += `
            <li>
                <a href=${path.join(demoPath, file, 'index.html')}>${file}</a>
            </li>
            `
        })

        replaceHtml = `<main id="app">
            <ul>${replaceHtml}</ul>
        </main>`
        const indexHtml = fs.readFileSync(
            path.join(demoPath, 'index.html'),
            'utf8'
        ) // 读取index.html内容
        fs.writeFile(
            path.join(demoPath, 'index.html'),
            indexHtml.replace(/<main[^>]*>([\s\S]*)<\/main>/, replaceHtml),
            (err) => {
                if (err) throw err
                console.log('demo list构建成功'.green)
            }
        )
    }

    // const html = marked()
}
