require('colors')
const WebpackDevServer = require('webpack-dev-server')
const webpack = require('webpack')

const utils = require('./common/utils')
const promptHist = require('./common/co-config')

const componentName = utils.inputName()
if (!componentName) return

const projPaths = require('./common/project-paths')(componentName)

const webpackConfig = require('./webpack-conf/dev')(componentName)

const compiler = webpack(webpackConfig)

const server = new WebpackDevServer(compiler, {
    clientLogLevel: 'none',
    watchContentBase: true,
    hot: true,
    quiet: true,
    compress: false,
    overlay: { warnings: false, errors: true },
    contentBase: projPaths.src,
    host: 'localhost',
    open: true
})

server.listen(3333)

console.log(
    `Demo of component<${componentName}> is running at http://localhost:3333/`
        .green
)
console.log('Watching...'.green)

promptHist.save({ name: componentName })
