require('colors')
const path = require('path')
const fs = require('fs-extra')
const shell = require('shelljs')
const utils = require('./common/utils')
const prompt = require('prompt-sync')()
const coconfig = require('./common/co-config')
const makeNpmJson = require('./common/npm-packagejson')
console.log('------------------------------------------------------'.yellow)
console.log(`请确保您已经登录私有npm http://npm.tumax.we.com`)
console.log(
    `登录：npm login --registry=http://npm.tumax.we.com --scope=@your scope`
)
console.log(`注册：npm adduser --registry=http://npm.tumax.we.com`)
console.log('------------------------------------------------------'.yellow)

const name = utils.inputName()
if (!name) return

const projPaths = require('./common/project-paths')(name)

const srcPath = projPaths.src
const distPath = projPaths.dist

if (!fs.existsSync(srcPath)) {
    console.error(`组件 ${name} 不存在`.red)
    return
}

makeNpmJson(projPaths, true)

/// shell
shell.cd(projPaths.dist)

console.log((shell.cat('./package.json') || '').yellow)

console.log(`exec: npm publish --registry=http://npm.tumax.we.com`.yellow)

const { code, stderr, stdout } = shell.exec(
    'npm publish --registry=http://npm.tumax.we.com'
)

if (code !== 0) {
    console.log('Exit code:', code)
    console.log((stderr + '').red)
} else {
    console.log('发布成功！'.green)
}
coconfig.save({ name })
