require('color')
const path = require('path')
const fs = require('fs')
const shell = require('shelljs')
// const Jasmine = require('jasmine')
// const jasmine = new Jasmine()

const coconfig = require('./common/co-config')
const prompt = require('prompt-sync')()

const componentName =
    (
        prompt(`component name: (${coconfig.setting.name || '...'}) `) || ''
    ).trim() || coconfig.setting.name

if (!componentName) {
    console.log('请输入组件名'.red)
    return
}

const srcPath = path.join(__dirname, '../src', componentName)

if (!fs.existsSync(srcPath)) {
    console.log(`找不到路径 ${srcPath}`.red)
    return
}
coconfig.save({
    name: componentName
})

// jasmine.loadConfigFile(path.join(srcPath, 'test/jasmine.json'))
// jasmine.execute()

shell.cd(path.join(srcPath, 'test'))
shell.exec('karma start karma.conf.js')
