var path = require('path')
var vueLoaderConfig = require('../common/vue-loader.conf')
const coconfig = require('../common/co-config')
const basePath = process.cwd()

module.exports = {
    context: basePath,
    resolve: {
        extensions: ['.js', '.vue', '.json'],
        alias: {
            vue$: 'vue/dist/vue.esm.js'
        },
        modules: [
            path.join(basePath, 'node_modules'),
            path.join(__dirname, '../../node_modules')
        ]
    },
    resolveLoader: {
        modules: [
            path.join(basePath, 'node_modules'),
            path.join(__dirname, '../../node_modules')
        ]
    },
    module: {
        rules: [
            {
                test: /\.(json)$/,
                loader: 'json'
            },
            {
                test: /\.vue$/,
                loader: 'vue-loader'
            },
            {
                test: /\.js$/,
                exclude: /(node_modules)/,
                loader: 'babel-loader'
            },
            {
                test: /\.(png|jpe?g|gif|svg)(\?.*)?$/,
                loader: 'url-loader',
                options: {
                    limit: 10000,
                    name: 'img/[name].[hash:7].[ext]'
                }
            },
            {
                test: /\.(woff2?|eot|ttf|otf)(\?.*)?$/,
                loader: 'url-loader',
                options: {
                    limit: 10000,
                    name: 'fonts/[name].[hash:7].[ext]'
                }
            }
        ]
    }
}
